# Nft service

The NFT API provides endpoints for managing and retrieving NFTs (Non-Fungible Tokens). You can retrieve a list of requested NFTs, retrieve specific NFTs by address and ID, and access user-specific NFTs such as created, mobile, liked, and wished tokens.

### Swagger docs link:

```
https://api.metaproprotocol.com/ms/nft/docs/#/
```

**NFT**

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/tokens/{address}/id/{id}" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**User NFTs**

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/user/{address}/tokens/created" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/user/{address}/tokens/mobile" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/user/{address}/tokens" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/user/{address}/liked-tokens" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/user/{address}/wished-tokens" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**Internal NFTs**

The Internal API offers endpoints for internal purposes related to NFTs. You can retrieve a list of requested NFTs with rich data and access specific NFTs by address and ID with rich data.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/internal/tokens/rich" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/internal/tokens/{address}/id/{id}/rich" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**Owners**

The Owners API allows you to retrieve a list of owners associated with a specific NFT token by address and ID.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/owners/{address}/id/{\_tokenId}" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**Minting Status**

The Minting Status API enables you to check the minting status of a specific NFT token by address and ID.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/minting-status/{address}/id/{\_tokenId}" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**NFT Tags**

The Tags API allows you to create tags for categorizing and organizing NFTs within your application. You can create tags and retrieve a list of requested tags.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/tags" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/tags" method="post" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**NFT Categories**

The Categories API provides endpoints for retrieving a list of requested categories for classifying NFTs.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/categories" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

**NFT Search**

The Search API allows you to search for NFTs based on specific search criteria. You can retrieve a list of requested NFTs matching the search text, facilitating efficient discovery of relevant NFTs.

***

{% openapi src="<https://api.metaproprotocol.com/ms/nft/docs-json>" path="/v1/nft-search/{searchText}" method="get" %}
<https://api.metaproprotocol.com/ms/nft/docs-json>
{% endopenapi %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metaproprotocol.com/metapro-protocol/api/nft-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
